Subject: Re: [PATCH v3 2/3] media: i2c: Add IMX290 CMOS image sensor driver

From: Sakari Ailus <[email-masked]>
Date: Thu, 3 Oct 2019 17:22:52 +0300

Hi Manivannan,

On Thu, Oct 03, 2019 at 12:56:48PM +0530, Manivannan Sadhasivam wrote:
> >> mentioned in the datasheet. I agree that we are missing the userspace
> >> granularity here but sticking to the device limitation shouldn't be a
> >problem.
> >> As I said, I'll add a comment here to clarify.
> >
> >The comment isn't visible in the uAPI.
> >
> 
> Yes. It would be good to have the units passed onto the userspace somehow
> like it is done in IIO. Then we don't need to fiddle in the driver for
> mismatch. Something consider in future...

Yes, I agree. But that is not trivial to do in any sort of even remotely
generic way.

-- 
Sakari Ailus

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel